(function() {
  var cAll, cBottom, cDelete, cDocument, cGuide, cHorizontal, cItemIndex, cKind, cLayer, cLeft, cMake, cMakeVisible, cMenu, cMenuItem, cName, cNew, cNull, cNumberOfLayers, cOrdinal, cOrientation, cPixel, cPosition, cProperty, cRight, cSelect, cTarget, cToggleGuides, cTop, cUndo, cVertical, dataPathFor, getLogPath, sAddToSelection, sArtboard, sArtboardRect, sBounds, sClearAllGuides, sClearArtboardGuides, sClearCanvasGuides, sDataDir, sFreeUses, sGroupLayersEvent, sGuideIDs, sGuideTarget, sGuideTargetCanvas, sID, sInit, sKind, sLayerID, sLayerSection, sPosition, sSelectNoLayers, sSelectedArtboard, sSelectionModifier, sSelectionModifierType, sTargetLayers, sTargetLayersIDs, sVisible;

  cProperty = _.cTID('Prpr');

  cDocument = _.cTID('Dcmn');

  cOrdinal = _.cTID('Ordn');

  cTarget = _.cTID('Trgt');

  cNumberOfLayers = _.cTID('NmbL');

  cName = _.cTID('Nm  ');

  cLayer = _.cTID('Lyr ');

  cItemIndex = _.cTID('ItmI');

  cTop = _.cTID('Top ');

  cLeft = _.cTID('Left');

  cBottom = _.cTID('Btom');

  cRight = _.cTID('Rght');

  cGuide = _.cTID('Gd  ');

  cOrientation = _.cTID('Ornt');

  cPosition = _.cTID('Pstn');

  cPixel = _.cTID('#Pxl');

  cVertical = _.cTID('Vrtc');

  cHorizontal = _.cTID('Hrzn');

  cMake = _.cTID('Mk  ');

  cNew = _.cTID('Nw  ');

  cKind = _.cTID('Knd ');

  cNull = _.cTID('null');

  cSelect = _.cTID('slct');

  cLayer = _.cTID('Lyr ');

  cMakeVisible = _.cTID('MkVs');

  cDelete = _.cTID('Dlt ');

  cAll = _.cTID('Al  ');

  cUndo = _.cTID('undo');

  cMenu = _.cTID('Mn  ');

  cMenuItem = _.cTID('MnIt');

  cToggleGuides = _.cTID('Tgld');

  sLayerSection = _.sTID('layerSection');

  sTargetLayers = _.sTID('targetLayers');

  sTargetLayersIDs = _.sTID('targetLayersIDs');

  sLayerID = _.sTID('layerID');

  sArtboard = _.sTID('artboard');

  sArtboardRect = _.sTID('artboardRect');

  sBounds = _.sTID('bounds');

  sPosition = _.sTID('position');

  sID = _.sTID('ID');

  sKind = _.sTID('kind');

  sGuideIDs = _.sTID('guideIDs');

  sInit = _.sTID('init');

  sFreeUses = _.sTID('ggFreeUses');

  sDataDir = _.sTID('dataDir');

  sGuideTarget = _.sTID('guideTarget');

  sGuideTargetCanvas = _.sTID('guideTargetCanvas');

  sSelectedArtboard = _.sTID('guideTargetSelectedArtboard');

  sSelectionModifier = _.sTID('selectionModifier');

  sSelectionModifierType = _.sTID('selectionModifierType');

  sAddToSelection = _.sTID('addToSelection');

  sSelectNoLayers = _.sTID('selectNoLayers');

  sClearCanvasGuides = _.sTID('clearCanvasGuides');

  sClearArtboardGuides = _.sTID('clearSelectedArtboardGuides');

  sClearAllGuides = _.sTID('clearAllGuides');

  sVisible = _.sTID('visible');

  sGroupLayersEvent = _.sTID('groupLayersEvent');

  getLogPath = function() {
    return "" + DATA_DIRECTORY + "/guideguide.log";
  };

  dataPathFor = function(path) {
    return "" + path + "/data.json";
  };

}).call(this);
